Bug Hunting Session
Bug 81182 - Resizing OpenGL window during rendering causes problems
Summary: Resizing OpenGL window during rendering causes problems
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.3.0.2 rc
Hardware: Other All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:4.4.0 target:4.3.1
Keywords:
Depends on:
Blocks: 81107
  Show dependency treegraph
 
Reported: 2014-07-10 16:30 UTC by Michael Meeks
Modified: 2014-07-21 08:21 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
duck after window resize (152.73 KB, image/png)
2014-07-10 16:32 UTC, Michael Meeks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2014-07-10 16:30:54 UTC
Some times it causes crash, sometimes the model disappear or leads to weird rendering (duck_after_window_resized.png). I almost sure that the problem is in the Impress part of the code, but it would be good to know whether the demo
viewer has similar problem.
Comment 1 Michael Meeks 2014-07-10 16:32:13 UTC
Created attachment 102561 [details]
duck after window resize
Comment 2 Commit Notification 2014-07-16 12:52:43 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cd7c0f6b6cdb8ebc6c72d2ffe1e0bc18968e27b

fdo#81182: glTF window size does not match with the scene size after resizing



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-07-16 12:52:57 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51ba2df1cb29d4343f92174da6dc8f36ba9152eb

fdo#81182: Resizing glTF window affects camera position



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-07-21 08:21:34 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=830aa8da71f798b83befd392c7773d81c142510e&h=libreoffice-4-3

fdo#81182: glTF window size does not match with the scene size after resizing


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-07-21 08:21:48 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4641e8f3e2675386df4418506861945e35cd69a0&h=libreoffice-4-3

fdo#81182: Resizing glTF window affects camera position


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.